<div
  class="element-class-item-container"
  [appCopyToClipboard]="elementClassMappingItem"
  [matTooltip]="elementClassMappingItem | elementClassItemToString:classEntities[elementClassMappingItem.class_value]">
  <div
    class="class-color align-center"
    [ngStyle]="{'background-color': elementClassMappingItem?.color}">
  </div>
  <div class="class-name align-center">{{classEntities[elementClassMappingItem.class_value]?.name}}</div>
</div>
